<div
  class="vispa-fastmenu-entry btn-group"
  >
  <button
    v-if="deleting"
    class="btn btn-sm btn-danger"
    >
    <i class="fa fa-minus"></i>
    <span>Remove</span>
  </button>
  <template v-else>
    <menu-button
      v-if="subType=='dropdown'"
      :label="label"
      :icon-class="iconClass"
      :items="items"
      :btn-class="buttonClass"
      :multiple="multiple"
      :value.sync="value"
      >
      <i :class="iconClass | iconPrefix"></i>
      <span v-if="label">{{label}}</span>
      <span class="caret"></span>
    </menu-button>
    <button
      v-if="subType=='group'"
      v-for="it in item.$refs.items"
      :class="buttonClass + (it.selected?' active':'')"
      @click="it.clicked"
      >
      <i :class="it.iconClass | iconPrefix"></i>
      <span>{{it.label}}</span>
    </button>
    <button
      v-if="!subType"
      :class="buttonClass"
      :disabled="item.disabled"
      @click="item.clicked"
      >
      <i :class="iconClass | iconPrefix"></i>
      <span>{{label}}</span>
    </button>
  </template>
</div>
